
TYPO3.Flow - Feature # 26765

Status: Accepted Priority: Should have
Created: 2011-05-11 Assigned To: Karsten Dambekalns
Updated: 2013-02-14 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Support class schema features for every reflected class
Description

Some features of the reflection in FLOW3 are only available through the class schema, e.g.:

    -  Property types
    -  Check if a property is an array or multi-valued

The problem is, that the class schema is only generated for entities or value objects. There should be some kind of general class
schema for non-persistent classes or reflection service methods to get this information.

History
#1 - 2011-05-16 09:20 - Sebastian Kurfuerst
- Target version deleted (1.0 beta 1)

I agree with that, but not for 1.0beta1 anymore.

#2 - 2011-08-29 21:46 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2011-08-29 21:46 - Karsten Dambekalns
- Category set to Reflection

#4 - 2013-02-14 20:47 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Has patch set to No
